Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.internal.swt.controls
Class TableControl

    java.lang.Object
      org.eclipse.emf.ecp.edit.spi.ECPAbstractControl
          org.eclipse.emf.ecp.edit.internal.swt.util.SWTControl
              org.eclipse.emf.ecp.edit.internal.swt.controls.TableControl

All Implemented Interfaces:
  ECPControlSWT

Deprecated.

    @Deprecated
    public class TableControl

extends SWTControl

The class describing a table control.

Author:
  Eugen Neufeld, emueller

Nested Class Summary
`class` | `TableControl.ECPCellLabelProvider` Deprecated. ECP specficic cell label provider that does also implement `IColorProvider` in order to correctly.

Constructor Summary
`TableControl()` Deprecated.

Method Summary
`org.eclipse.swt.widgets.Composite` | `createControl(org.eclipse.swt.widgets.Composite parent)` Deprecated. This method is called to render the control on a parent.
`List<RenderingResultRow<org.eclipse.swt.widgets.Control>>` | `createControls(org.eclipse.swt.widgets.Composite parent)` Deprecated. Renders a control on the provided parent and returning a list of `RenderingResultRows`.
`void` | `dispose()` Deprecated. Disposes the control.
`void` | `setEditable(boolean isEditable)` Deprecated.
`void` | `setTableControlConfiguration(TableControlConfiguration tableControlConfiguration)` Deprecated.
`boolean` | `showLabel()` Deprecated.

Methods inherited from class org.eclipse.emf.ecp.edit.internal.swt.util.SWTControl
`setObservableValue`

Methods inherited from class org.eclipse.emf.ecp.edit.spi.ECPAbstractControl
`getDataBindingContext, getFirstSetting, getFirstStructuralFeature, getItemPropertyDescriptor, handleValidation, init, resetValidation, setEmbedded`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableControl

    public TableControl()

  Deprecated.

Method Detail

### setTableControlConfiguration

    public final void setTableControlConfiguration(TableControlConfiguration tableControlConfiguration)

  Deprecated.
  Parameters:
    `tableControlConfiguration` - the `TableControlConfiguration` to use when creating the table

### createControls

    public List<RenderingResultRow<org.eclipse.swt.widgets.Control>> createControls(org.eclipse.swt.widgets.Composite parent)

  Deprecated.
  Renders a control on the provided parent and returning a list of `RenderingResultRows`.

  Specified by:
    `createControls` in interface `ECPControlSWT`
  Overrides:
    `createControls` in class `SWTControl`
  Parameters:
    `parent` - the `Composite` to render onto
  Returns:
    the list of `RenderingResultRows`
  See Also:
    `ECPControlSWT.createControls(org.eclipse.swt.widgets.Composite)`

### createControl

    public org.eclipse.swt.widgets.Composite createControl(org.eclipse.swt.widgets.Composite parent)

  Deprecated.
  Description copied from class: `SWTControl`
  This method is called to render the control on a parent.

  Overrides:
    `createControl` in class `SWTControl`
  Parameters:
    `parent` - the `Composite` which is the parent
  Returns:
    the created `Composite`

### dispose

    public void dispose()

  Deprecated.
  Disposes the control. A control which needs specific dispose handling must still call super.dispose.

  Overrides:
    `dispose` in class `SWTControl`

### setEditable

    @Deprecated
    public void setEditable(boolean isEditable)

  Deprecated.

  Sets the state of the widget to be either editable or not.

  Overrides:
    `setEditable` in class `ECPAbstractControl`
  Parameters:
    `isEditable` - whether to set the widget editable

### showLabel

    @Deprecated
    public boolean showLabel()

  Deprecated.

  Whether a label should be shown for this control.

  Overrides:
    `showLabel` in class `ECPAbstractControl`
  Returns:
    true if a label should be created, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.